# $Revision: 1.5 $, $Date: 2004/11/02 04:03:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Carp
%define	pnam	Clan
Summary:	Carp::Clan - report errors from perspective of caller of a "clan" of modules
Summary(pl):	Carp::Clan - zgaszanie bdw z perspektywy wywoujcego "klan" moduw
Name:		perl-%{pdir}-%{pnam}
Version:	5.3
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d0a0431921b2c786aac234dfb6fe02ca
URL:		http://search.cpan.org/dist/Carp-Clan/
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.40}
BuildRequires:	rpm-perlprov >= 4.1-13
Conflicts:	perl-Bit-Vector < 6.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module reports errors from the perspective of the caller of a
"clan" of modules, similar to "Carp.pm" itself.

%description -l pl
Modu zgasza bdy z perspektywy wykonywujcego modu, podobnie jak
Carp.pm.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%{perl_vendorlib}/Carp/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Carp-Clan.spec,v $
Revision 1.5  2004/11/02 04:03:46  ankry
- rel. 2

Revision 1.4  2004/11/01 23:31:12  qboosh
- added docs, Conflicts: perl-Bit-Vector < 6.4 (which included Carp::Clan)

Revision 1.3  2004/10/15 23:05:14  qboosh
- URL

Revision 1.2  2004/10/15 23:04:32  qboosh
- summaries

Revision 1.1  2004/10/09 23:25:13  undefine
- initital pld version
